---
title: Metadata
slug: Web/API/Metadata
tags:
  - API
  - File System API
  - File and Directory Entries API
  - Files
  - Interface
  - Non-standard
  - Offline
  - Reference
  - metadata
---
<p>{{ APIRef("File System API") }}{{SeeCompatTable}}{{Non-standard_header}}</p>

<p>The <strong><code>Metadata</code></strong> interface is used by the File and Directory Entries API to contain information about a file system entry. This metadata includes the file's size and modification date and time.</p>

<div class="note">
<p>This interface isn't available through the global scope; instead, you obtain a <code>Metadata</code> object describing a {{domxref("FileSystemEntry")}} using the method {{domxref("FileSystemEntry.getMetadata()")}}.</p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("Metadata.modificationTime", "modificationTime")}} {{ReadOnlyInline}}</dt>
 <dd>A {{jsxref("Date")}} object indicating the date and time the entry was modified.</dd>
</dl>

<dl>
 <dt>{{domxref("Metadata.size", "size")}} {{ReadOnlyInline}}</dt>
 <dd>A 64-bit unsigned integer indicating the size of the entry in bytes.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('File System API')}}</td>
   <td>{{Spec2('File System API')}}</td>
   <td>Draft of proposed API</td>
  </tr>
 </tbody>
</table>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Metadata")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemEntry")}}</li>
 <li>{{domxref("FileSystemFileEntry")}} and {{domxref("FileSystemDirectoryEntry")}}</li>
</ul>
